astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- ASCII Tables (`astropy.io.ascii`) »
- FastBasic

# FastBasic

class `astropy.io.ascii.``FastBasic`(default_kwargs={}, **user_kwargs)

  Bases: `object`

  This class is intended to handle the same format addressed by the ordinary `Basic` writer, but it acts as a wrapper for underlying C code and is therefore much faster. Unlike the other ASCII readers and writers, this class is not very extensible and is restricted by optimization requirements.

  Attributes Summary

  `fill_extra_cols` |
  `guessing` |
  `strict_names` |

  Methods Summary

  `check_header`() |
  `read`(table) | Read input data (file-like object, filename, list of strings, or single string) into a Table and return the result.
  `write`(table, output) | Use a fast Cython method to write table data to output, where output is a filename or file-like object.

  Attributes Documentation

  `fill_extra_cols` = False
  `guessing` = False
  `strict_names` = False

  Methods Documentation

  `check_header`()
  `read`(table)

    Read input data (file-like object, filename, list of strings, or single string) into a Table and return the result.

  `write`(table, output)

    Use a fast Cython method to write table data to output, where output is a filename or file-like object.